Create transaction
Creates a giftCard transaction
This endpoint will create a giftCard transaction and returns orderId and deposit address
Create a Gift Card transaction.
POST https://api.onramp.money/onramp/api/v2/whiteLabel/giftCard/create
Request Body
email*
String
Mail address of user creating the transaction
toAmount*
Decimal
Crypto Amount to be paid
toCurrency*
String
crypto currency to be paid with
E.g. usdt
toChain*
String
network from which deposit will be made E.g. bep20
voucherId*
Integer
productId associated with voucher
denomination*
Decimal
Denomination of voucher to be purchased. E.g. INR 100 worth of Zomato Voucher
quantity*
Integer
Quantity of vouchers E.g. Two INR 100 worth of Zomato Voucher
receiverEmail*
String
Mail Address where voucher will be sent
{
"status": 1,
"code": 200,
"data": {
"orderId": 1679,
"createdAt": "2025-05-16T08:09:40.445Z",
"cryptoAmount": "1.17",
"depositAddress": "0x404123481ec4630c83851d7673882440b6a7b7fa",
"memo": null
}
}{
"status": 0,
"code": 400,
"error": "Missing either paramters email, toAmount, toCurrency, toChain, voucherId, denomination, quantity."
}{
"status": 0,
"code": 500,
"error": "Internal Server Error"
}orderId - Id associated with transaction
cryptoAmount - crypto amount to be paid
depositAddress - address where crypto has to be paid
memo - memo if required (E.g. for XRP chain)
Last updated